This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 738907 - Can not disable copytrans option when pushing source to zanata server with --no-copytrans option
Can not disable copytrans option when pushing source to zanata server with --...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Ni
Ding-Yi Chen
:
Depends On:
Blocks: zanata-1.5.0
  Show dependency treegraph
 
Reported: 2011-09-15 21:38 EDT by James Ni
Modified: 2012-03-06 21:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 21:10:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Ni 2011-09-15 21:38:16 EDT
Description of problem:


Version-Release number of selected component (if applicable):
1.3.1 or 1.3.0

How reproducible:


Steps to Reproduce:
1. Get Pot files from: git://git.fedorahosted.org/git/docs/about-fedora.git
2. cd about-fedora, create zanata.xml if needed
3. zanata publican push --no-copytrans
  
Actual results:
The documents are pushed to server successfully, and the translations are copied to identical messages on new documents. 

Expected results:
The documents should be pushed to server successfully, but the translations should not be copied.

Additional info:
Comment 1 James Ni 2011-09-15 21:50:02 EDT
I have submit the commit 067b184 to fix this issue, you can get if from git-hub. It should be included in the next release 1.3.2 of zanata-python-client
Comment 2 Ding-Yi Chen 2012-02-19 22:33:27 EST
VERIFIED with  1.3.3-22-g0fa5
Comment 3 James Ni 2012-03-06 21:10:34 EST
It is fixed in 1.3.3

Note You need to log in before you can comment on or make changes to this bug.